#include <cstdio>
#include <algorithm>
#include <iostream>
#include <algorithm>
#include <cmath>


using namespace std;

int a[100010];
int b[1][100010];

int main()
{
    ios_base::sync_with_stdio(false);
    int n, m;
    cin>>n>>m;
    long long s=0;
    for(int i = 1; i<=n; i++)
    {
        cin>>a[i];
    }
    for(int i = 1; i<=m; i++)
    {
        cin>>b[0][i];
        cin>>b[1][i];
        s+= abs(a[b[0][i]] + a[b[1][i]]);
    }
    cout <<s<<endl;





    return 0;
}